## const char* v24PortName

## ( int PortNo, char* PortName )

> Build a valid port name.

## Documentation

> Build a valid port name. This function can be used to build the platform dependent name of the serial device used by `v24OpenPort`. The exact format of the the name is explained at v24OpenPort.

> The parameter `PortNo` is the number of the port. The parameter `PortName` is a pointer to a string buffer, where the built name is stored. Important: the caller must ensure, that the string buffer referenced by `PortName` could hold `V24_SZ_PORTNAME` characters.

> To ease the use, the function return the pointer `PortName`.

> Note: this function can be used without an opened device!

Parameters:
  PortNo - number of the port.
  PortName - resulting name for `v24OpenPort`.
Returns:
  (const char*) copy of the pointer `PortName`.

Alphabetic index

This page was generated with the help of DOC++.